#!/usr/bin/bash

# push-website.sh
# This script does a git commit and push a Git repository
# Copyright (C) 2020 Scott C. MacCallum
# scm@sdf.org

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.


cp /meta/www/s/scm/index.html /meta/s/scm/web
cp /meta/www/s/scm/posts/2023/02.html /meta/s/scm/web/posts/2023
cp /meta/www/s/scm/posts/2023/03.html /meta/s/scm/web/posts/2023

cd /meta/s/scm/web

git add /meta/s/scm/web/index.html
git add /meta/s/scm/web/posts/2023/02.html
git add /meta/s/scm/web/posts/2023/03.html

git commit -m "Committing edited website files"

git push

exit 0
